diff --git a/libspeex/nb_celp.c b/libspeex/nb_celp.c
index ab2511d..42fb2eb 100644
--- a/libspeex/nb_celp.c
+++ b/libspeex/nb_celp.c
@@ -105,6 +105,8 @@ static const float exc_gain_quant_scal1[2]={0.70469f, 1.05127f};
 extern const spx_word16_t lag_window[];
 extern const spx_word16_t lpc_window[];
 
+const int wb_skip_table[8] = {SB_SUBMODE_BITS+1, 36, 112, 192, 352, -1, -1, -1};
+
 #ifndef DISABLE_ENCODER
 void *nb_encoder_init(const SpeexMode *m)
 {
@@ -1329,9 +1331,6 @@ static void nb_decode_lost(DecState *st, spx_word16_t *out, char *stack)
       st->pitch_gain_buf_idx = 0;
 }
 
-/* Just so we don't need to carry the complete wideband mode information */
-static const int wb_skip_table[8] = {0, 36, 112, 192, 352, 0, 0, 0};
-   
 int nb_decode(void *state, SpeexBits *bits, void *vout)
 {
    DecState *st;
diff --git a/libspeex/nb_celp.h b/libspeex/nb_celp.h
index 39be0b1..ee342cf 100644
--- a/libspeex/nb_celp.h
+++ b/libspeex/nb_celp.h
@@ -171,6 +171,11 @@ typedef struct DecState {
    int    highpass_enabled;        /**< Is the input filter enabled */
 } DecState;
 
+/** Table of wideband subframe sizes.
+ *  Just so we don't need to carry the complete wideband mode information
+ */
+const int wb_skip_table[8];
+
 /** Initializes encoder state*/
 void *nb_encoder_init(const SpeexMode *m);
 